---
layout: default
---

<div id="main" class="app-review" role="main">
  {% include sidebar.html %}
  {% assign float = "" %}

  <article class="page" style="float:{{ float }};" itemscope itemtype="http://schema.org/CreativeWork">
    <meta itemprop="headline" content="{{ page.altTitle | default: page.title }}">
    {% if page.excerpt %}
      <meta itemprop="description" content="{{ page.excerpt | markdownify | strip_html | strip_newlines | escape_once }}">
    {% endif %}
    {% if page.date %}
      <meta itemprop="datePublished" content="{{ page.date | date: " %B %d, %Y" }}">{% endif %}
    {% if page.modified %}
      <meta itemprop="dateModified" content="{{ page.modified | date: " %B %d, %Y" }}">{% endif %}

    <div class="page__inner-wrap">
      <div class="app-summary-grid">
        <img src="/images/wallet_icons/{{ page.collection }}/{{ page.icon }}" class="app_logo_big" alt="Wallet Logo">
        <div class="app-sum-head">

          <h1 class="page__title -va-c" itemprop="headline">
            {% if page.altTitle %}
              {{ page.altTitle }}<br><span style="font-size: 30%;opacity:.3">(Actually "{{ page.title }}". For details read below.)</span>
            {% else %}
              {{ page.title }}
            {% endif %}
          </h1>

          <span><i class="fas fa-history"></i> Latest release: {{ page.version }} (<span title='{{ page.updated | date_to_long_string: "ordinal" }}' class="calculate-time-elapsed"
            data="{{ page.updated | date: '%s' }}">
            {{ page.updated | date_to_long_string: "ordinal" }}
          </span>)</span>

          <span>🔍 Last analysed
            <span title='{{ page.date | date_to_long_string: "ordinal" }}' class="calculate-time-elapsed"
              data="{{ page.date | date: '%s' }}">
              {{ page.date | date_to_long_string: "ordinal" }}
            </span>.
          </span>

          {% include verdictBadge.html verdict=page.verdict type='medium' %}
          {% if page.meta != "ok" %}
            {% include verdictBadge.html verdict=page.meta type='medium' %}
          {% endif %}

          <div class="social-row">
            <ul>
              <li
                title='Link to {{ page.title | replace: "'", " " }} on the Play Store'>
                <a href="https://play.google.com/store/apps/details?id={{ page.appId }}" class="link-web">
                  <i class="fab fa-google-play"></i>
                </a>
              </li>
              {% include /review/providerSocial.html %}
            </ul>
          </div>
        </div>

        <div class="app-payload-flex">

          {% if page.verdict == "reproducible" %}
            <div class="svg {{ page.verdict }}"></div>
          {% endif %}

          {% if page.stars > 0 %}
          <div title="Rated {{ page.stars }}/5 stars">

            <label>
              <i class="fab fa-google-play"></i>&nbsp;Play Store ({{ page.appCountry | default: "us" }})
            </label>

            <div>
              {{ page.stars }}
              <span class="star-rating"
                style="background-image: linear-gradient(90deg,var(--dark-grey, #ffd900) calc({{ page.stars }} / 5 * 100%), var(--shadow-3, #eee) 0%);">★★★★★</span>
            </div>

            {% if page.ratings %}
              <span>{{ page.ratings }} ratings</span>
            {% endif %}

          </div>
          {% endif %}

          <div title="Downloaded over {{ page.users }} times. (Latest version: {{ page.version }})">
            <label>
              <i class="fas fa-download"></i>&nbsp;Downloads
            </label>
            <div>
              <span class="humanised-numbers"><i class="fas fa-chevron-right"></i>
                {% assign s = page.users %}
                {% if s > 999999999 %}
                  {{ s | remove_first: '000000000' }} <n>billion</n>
                {% elsif s > 999999 %}
                  {{ s | remove_first: '000000' }} <n>million</n>
                {% elsif s > 999 %}
                  {{ s | remove_first: '000' }} <n>thousand</n>
                {% else %}
                  {{ s }}
                {% endif %}
              </span>
            </div>
          </div>

          {% if page.released %}
          <div title='{{ page.released | date_to_long_string: "ordinal" }}'>

            <label>
              <i class="fas fa-rocket"></i>&nbsp;Launched
            </label>

            <div>
              <span class="calculate-time-elapsed" data="{{ page.released | date: '%s' }}">
                {{ page.released | date_to_long_string: "ordinal" }}
              </span>
            </div>
          </div>
          {% endif %}

        </div>
      </div>

      {% assign title = page.altTitle | default: page.title %}

      <div id="versions" {% if page.wsId %} wsId="{{ page.wsId }}" {% endif %}></div>

      <p>
        <a href="#verdictExplained">Jump to verdict&nbsp;<i class="fas fa-arrow-down"></i></a>
      </p>

      {% include /review/archive.html %}
      {% include /review/tweetAtProvider.html %}
      {% include /review/disclaimer.html %}
      {% include /review/ownResearch.html %}
      <h1 id="analysis">The Analysis&nbsp;<a href="#analysis" style="color:#ccc">&para;</a></h1>

      <section class="page__content" itemprop="text">
        {{ content }}
        {% include /review/byAuthor.html %}
        {% include verdict_explained.html %}
      </section>

      {% if page.share %}
        {% include social-share.html %}
        {% include embed.html %}
      {% endif %}
    </div>
  </article>
</div>

<script src="/assets/js/review.js"></script>
